@ECHO OFF

set "serviceName=DocumentRoutingService"
set /p "serviceName=Enter service unique name or press [ENTER] for default [%serviceName%]: "
set "serviceDisplayName=Microsoft Dynamics 365 Document Routing Service"
set /p "serviceDisplayName=Enter unique service display name or press [ENTER] for default [%serviceDisplayName%]: "
set "serviceDescription=Document routing service for Microsoft Dynamics 365 for Finance and Operations"
set /p "serviceDescription=Enter service description or press [ENTER] for default [%serviceDescription%]: "

echo Installing Microsoft Document Routing Agent ...
echo ---------------------------------------------------
echo ServiceName: %serviceName%
echo ServiceDisplayName: %serviceDisplayName%
echo ServiceDescription: %serviceDescription%
sc create "%serviceName%" displayname="%serviceDisplayName%" binpath="c:\Program Files (x86)\Microsoft Dynamics 365 for Operations - Document Routing\Microsoft.Dynamics.AX.Framework.DocumentRouting.Service.exe" start=auto
sc description "%serviceName%" "%serviceDescription%"
echo ---------------------------------------------------
echo Done.

@ECHO ON